[debian-edu-commits] debian-edu/ 74/437: Leftover.

Mike Gabriel sunweaver at debian.org
Sun Mar 2 23:49:25 UTC 2014


This is an automated email from the git hooks/post-receive script.

sunweaver pushed a commit to branch master
in repository debian-edu-artwork.

commit d9babd9c6c8912e31cca5f1523f55665f1df92f2
Author: Petter Reinholdtsen <pere at hungry.com>
Date:   Thu Sep 14 20:40:27 2006 +0000

    Leftover.
---
 debian/update-artwork | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

diff --git a/debian/update-artwork b/debian/update-artwork
new file mode 100644
index 0000000..3baceb9
--- /dev/null
+++ b/debian/update-artwork
@@ -0,0 +1,57 @@
+#! /bin/sh
+
+set -e
+
+editini=/usr/share/debian-edu-artwork/edit-ini
+
+change_ldm_background() {
+    update-alternatives --install /usr/share/ldm/themes/default \
+        ldm-theme /usr/share/ldm/themes/debian-edu 80
+}
+
+# switch kdm theme to debian-edu
+change_kdm_theme() {
+    kdmrc=/etc/kde3/kdm/kdmrc
+    if grep -q '^UseTheme=true' $kdmrc; then
+	if grep -q '^Theme=/usr/share/apps/kdm/themes/debian-edu' $kdmrc; then
+	    echo "KDM theme for Debian Edu already enabled, not touching kdmrc."
+	else
+	    echo "KDM theme already customized, not touching kdmrc."
+	fi
+    else
+	if [ -f $kdmrc ] ; then
+	    echo "Installing and enabling Debian Edu KDM theme ..."
+            # This is not policy compilant, as $kdmrc is a conffile in
+            # the kdm package, and we are editing it in a package
+            # maintainer script.  Need to come up with a better way to
+            # do it.  See also
+            # http://release.debian.org/etch_rc_policy.txt
+
+            # First update the KDM theme
+
+	    $editini $kdmrc 'X-*-Greeter' UseTheme true
+	    $editini $kdmrc 'X-*-Greeter' Theme \
+		/usr/share/apps/kdm/themes/debian-edu
+
+            # Next, update the background used after the KDM theme is
+            # removed and before kdesktop insert the selected background.
+	    bgrc=/etc/kde3/kdm/backgroundrc
+	    if [ -f $bgrc ] ; then
+		$editini $bgrc 'Desktop0' Wallpaper debian-edu-wallpaper.png
+	    fi
+	else
+	    echo "KDM not installed, not enabling KDM theme."
+	fi
+    fi
+}
+
+case "$1" in
+  configure)
+    change_ldm_background
+    change_kdm_theme
+    ;;
+  remove)
+    #restore_kdm_theme
+    #restore_ldm_background
+    ;;
+esac

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-edu/debian-edu-artwork.git



More information about the debian-edu-commits mailing list